/**
* Auto Mount App
* Implementing an App to auto mount sata  hard drive
*/
var AutoMountApp = AutoMountApp || {};  //Define Auto Mount App namespace.
/**
*Constructor UNAS App
*/
AutoMountApp.App = function () {
    this.id = 'Auto Mount';
    this.name = 'Auto Mount';
    this.version = '6.0.13';
    this.active = false;
    this.menuIcon = '/apps/automount/images/logo.png?v=6.0.13&';
    this.shortcutIcon = '/apps/automount/images/logo.png?v=6.0.13&';
    this.entryUrl = '/apps/automount/automount.html?v=6.0.13&';
    //this.entryHelpUrl = '/apps/automount/automount_help.html?v=6.0.13&';
    var self = this;
    this.AutoMountAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('Auto Mount')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'AutoMountAppWindow',
            title: UNAS._('Auto Mount'),
			icon: '/apps/automount/images/logo_small.png',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/automount/automount.html?v=6.0.13&',
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Auto Mount",'AutoMountAppWindow')},
			require: {  css: ['/apps/automount/css/automount.css?v=6.0.13&'] }
        });
    };
    this.AutoMountUninstall = function () {
    	UNAS.RemoveDesktopShortcut('Auto Mount');
    	UNAS.RemoveMenu('Auto Mount');
    	UNAS.RemoveAppFromGroups('Auto Mount', 'ControlPanel');
    	//UNAS.RemoveAppFromGroups('Auto Mount', 'Help');
    	UNAS.RemoveAppFromApps('Auto Mount');
    }
    new UNAS.Menu('UNAS_ControlPanel_Storage_Menu', this.name, this.menuIcon, 'Auto Mount', '', this.AutoMountAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Auto Mount', this.AutoMountAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Storage', 'Location' : 5, 'Icon': this.shortcutIcon, 'Url': this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Storage', 'Location' : 5, 'Icon': this.shortcutIcon, 'Url': this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('Auto Mount', UNAS._('Auto Mount')); //translate menu
        //UNAS.SetShortcutTitle('Auto Mount', UNAS._('Auto Mount'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('AutoMountAppWindow', UNAS._('Auto Mount'));
        }
    };
    UNAS.LoadTranslation('/apps/automount/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.AutoMountAppWindow, this.AutoMountUninstall);
};
new AutoMountApp.App();
